[SOLVED] Android Gradle error: Default interface methods are only supported starting with Android N (–min-api 24)

You are currently viewing [SOLVED] Android Gradle error: Default interface methods are only supported starting with Android N (–min-api 24)
Photo by Guido Coppa on Unsplash
Share This Post, Help Others, And Earn My Heartfelt Appreciation! :)
4.8
(894)

Default interface methods are only supported starting -> Powód

Powyższy błąd otrzymasz ze względu na brakującą konfigurację „compileOptions” [ Default interface methods are only supported starting …] w pliku AndroidManifest.xml.

Android -> Rozwiązanie

Dodaj brakującą konfigurację. Przykład poniżej.

android {
...
  compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
...
}

Gradle to narzędzie do automatyzacji kompilacji do tworzenia oprogramowania w wielu językach. Kontroluje proces rozwoju w zadaniach kompilacji i pakowania do testowania, wdrażania i publikowania. Obsługiwane języki to Java (a także Kotlin, Groovy, Scala), C/C++ i JavaScript. Gradle zaprojektowano z myślą o kompilacjach wieloprojektowych, które mogą stać się duże. Działa w oparciu o szereg zadań kompilacji, które mogą być uruchamiane szeregowo lub równolegle.

Gradle jest dystrybuowane jako oprogramowanie typu open source na licencji Apache License 2.0 i zostało wydane po raz pierwszy w 2008 r.

Jeśli spodobał Ci się ten post to zostaw proszę komentarz poniżej lub udostępnij ten post na swoim Facebook’u, Twitter’ze, LinkedIn lub innej stronie z mediami społecznościowymi.
Dzięki!

How useful was this post?

Click on a star to rate it!

Average rating 4.8 / 5. Vote count: 894

No votes so far! Be the first to rate this post.

Subscribe
Powiadom o
guest
0 Comments
Inline Feedbacks
View all comments